# 38. Requête : obtenir « UserData »

Obtenir les "UserData" de l'utilisateur autorisé.

{% code overflow="wrap" lineNumbers="true" %}

```graphql
query getUserData {
  getUserData {
    uuid
    e-mail
    surfaceTotale
    surfaceMaximale
    unitéDeSurface
    langue
    cléApi
    nombreDeClassesDuJeuDeDonnéesDuSol
    organisations {
      uuid
      nom
      nomDeFamille
      prénom
      e-mail
      téléphone
      dateDeCréation
      updatedDate
      utilisateurs {
        uuidOrganisation
        userUuid
        e-mail
        toutesLesExploitations
        dateDeCréation
        updatedDate
        exploitations {
          uuid
          userUuid
          nom
          dateDeCréation
          updatedDate
          farmOwnership
          e-mail
        }
      }
    }
  }
}
```

{% endcode %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.geopard.tech/geopard-tutorials/fr/docs-api/vue-densemble-des-requetes-de-lapi-geopard/38.-requete-obtenir-userdata.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
